#pragma once
#include <BasicAbstractions/IPreparable.h>
#include <States/GameState/Maze/Room/Room.h>

class IEntity : public IPreparable {
public:
    void set_location(Room* ptr_room) noexcept {
        m_ptr_room = ptr_room;
        prepare_for_drawing();
    }
    [[nodiscard]] Room* get_location() const noexcept { return m_ptr_room; }
    ~IEntity() override = default;
protected:
    Room* m_ptr_room = nullptr;
};